gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecBoxed

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for boxed properties.

Synopsis

- newtype ParamSpecBoxed = ParamSpecBoxed (ManagedPtr ParamSpecBoxed)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecBoxed o) => IsParamSpecBoxed o
- toParamSpecBoxed :: (MonadIO m, IsParamSpecBoxed o) => o -> m ParamSpecBoxed

# Exported types

newtype ParamSpecBoxed Source #

Memory-managed wrapper type.

Constructors

ParamSpecBoxed (ManagedPtr ParamSpecBoxed) |

#### Instances

Instances details

Eq ParamSpecBoxed Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoxed Methods (==) :: ParamSpecBoxed -> ParamSpecBoxed -> Bool Source # (/=) :: ParamSpecBoxed -> ParamSpecBoxed -> Bool Source #
BoxedPtr ParamSpecBoxed Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoxed Methods boxedPtrCopy :: ParamSpecBoxed -> IO ParamSpecBoxed Source # boxedPtrFree :: ParamSpecBoxed -> IO () Source #
ManagedPtrNewtype ParamSpecBoxed Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoxed Methods toManagedPtr :: ParamSpecBoxed -> ManagedPtr ParamSpecBoxed Source #
TypedObject ParamSpecBoxed Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoxed Methods glibType :: IO GType Source #
HasParentTypes ParamSpecBoxed Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoxed
type ParentTypes ParamSpecBoxed Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoxed type ParentTypes ParamSpecBoxed = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecBoxed o) => IsParamSpecBoxed o Source #

Type class for types which can be safely cast to `ParamSpecBoxed`, for instance with `toParamSpecBoxed`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecBoxed o) => IsParamSpecBoxed o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecBoxed

toParamSpecBoxed :: (MonadIO m, IsParamSpecBoxed o) => o -> m ParamSpecBoxed Source #

Cast to `ParamSpecBoxed`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.